#include <iostream>
using namespace std;
int main(){
    long long n,br=0,sin,a,b,c,kp=0,prez;
    bool dali;
    cin>>n;
    long long wis[n],poz[n];
    for (sin=0;sin<n;sin++){
        cin>>wis[sin];
        if (sin==0){
            poz[kp]=sin;
            kp++;
        }
        else{
            if (sin-1>0){
                if (sin==n-1){
                    poz[kp]=sin;
                    kp++;
                }
                else{
                    if (wis[sin-1]>wis[sin-2]&&wis[sin-1]>wis[sin]){
                        poz[kp]=sin-1;
                        kp++;
                    }
                    else{
                        if (wis[sin-1]<wis[sin-2]&&wis[sin-1]<wis[sin]){
                            poz[kp]=sin-1;
                            kp++;
                        }
                    }
                }
            }
        }
    }
    kp--;
    for (a=0;a<kp;a++){
        prez=poz[a+1]-poz[a];
        for(prez;prez>0;prez--){
            br+=prez;
        }
    }
    cout<<br*2;
    return 0;
}


